Do more on the web, with a fast and secure browser!

Download Opera browser with:

  • built-in ad blocker
  • battery saver
  • free VPN
Download Opera

VPN discontinued?

  • I am using a desktop running Linux Mint Cinnamon. Recently VPN will not connect. There does not seem to be any way to diagnose the problem from the user's end. I have enjoyed the service since I became aware of it. I am hoping that it is a temporary problem that may be resolved soon.

  • @jadesword
    I'm using Linux Mint Cinnamon 18.3 with latest Opera stable. I have no problems with VPN. It works fine.

  • @pindos Was running opera-stable 45.0.2552.888 installed using synaptic. Since VPN stopped working Tuesday (2018-03-27), I decided to install the latest version of Opera which is not available from the archive. Download was successful.

    Installation failed when attempting to install opera-stable_52.0.2871.40_amd67.deb

    Error: Dependency is not satisfiable: libdbus-1-3 (>=1.9.14)

    Lintian output
    w: opera-stable: hardening-no-relro user/lib/x86_64-linux-gnu/opera/libEGL.so
    w: opera-stable: hardening-no-relro user/lib/x86_64-linux-gnu/opera/libGLESv2.so
    w: opera-stable: hardening-no-relro user/lib/x86_64-linux-gnu/opera/libffmpeg.so
    w: opera-stable: hardening-no-relro user/lib/x86_64-linux-gnu/opera/opera
    w: opera-stable: hardening-no-relro user/lib/x86_64-linux-gnu/opera/opera_autoupdate
    w: opera-stable: hardening-no-relro user/lib/x86_64-linux-gnu/opera/opera_crashreporter
    w: opera-stable: hardening-no-relro user/lib/x86_64-linux-gnu/opera/swiftshader/libEGL.so
    w: opera-stable: hardening-no-relro user/lib/x86_64-linux-gnu/opera/swoftshader/libGLESv2.so
    N: 3 tags overwridden (2 errors, 1 warning)
    Lintian finished with exit status 0

    From the archive, the latest is libdbus-1-3:i386 1.6.18-0ubuntu4.5

  • @jadesword Opera 45 uses the old VPN that no longer works, you need to update your Opera.
    And to be able to do it, you need at least Ubuntu 16.04.

    Someone has posted a way to install Opera in old packages, you can follow it on your own risk.

  • Running Opera 52.0.2871.40 on Ubuntu 16.04 and VPN is working decently.
    When VPN is turned on there a slight slowdown and some videos don't play anymore.

  • @leocg Seems to me that I need to satisfy a dependancy, but I have no idea where to obtain libdbus-1-3 (>=1.9.14). The most recent in the archive is:
    dbus 1.6.18-0ubuntu4.5
    libdbus-1-3 1.6.18-0ubuntu4.5
    libdbus-1-3:i386 1.6.18-0ubuntu4.5

  • @cybrsaylr Some sites have a filter that seems to detect and reject VPN and proxy connections. Either use a different browser or turn off VPN to view. Alternatively, try to find a different source.

  • @jadesword said in VPN discontinued?:

    @cybrsaylr Some sites have a filter that seems to detect and reject VPN and proxy connections. Either use a different browser or turn off VPN to view. Alternatively, try to find a different source.

    Had a feeling that was the case. When using Opera with VPN off all seems to work fine. When Opera VPN is turned on, some sites and videos won't play. Even Google acts up putting up that prove you are not a 'bot' test which either doesn't work or keeps asking you to select over and over new tests proving you are not a robot and still won't let you in. I turn off Opera VPN and all runs well again.

    Use Vivaldi browser also which plays everything thrown at it well but Vivaldi has no built in VPN. Same applies to Firefox and Chrome which play everything.

  • @cybrsaylr Tried Vivaldi and it is as you said. Tested it on http://247games.org. Now I have a browser where I can play my favorites without having to switch browsers. Vivaldi's lack of VPN does not matter since the Opera VPN does not function. Now would be the time to try out Opera Turbo as it conflicts with VPN. By the way, http://www.247hearts.com/ does not play in Firefox. http://www.247slots.org/ does not play in Google Chrome, but does play in Chromium. http://www.247spades.com/ does not play in Chromium. The programmers for the website are working to make all the games playable in all the browsers, but they are not there yet. So far, a couple of the games that did not play before now play well, but Vivaldi is the only browser in which all the games play. Thank you so very much for the Vivaldi reference.